/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file irda.h
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief IRDA header file
*
******************************************************************************/
#ifndef IRDA_H_
#define IRDA_H_

/******************************************************************************
* Macros
******************************************************************************/
// define FTM0 initialization parameter
#define IRDA_FREQUENCY		38000  //hz
#define FTM0_CLOCK			BUS_CLK_HZ
#define FTM0_MOD_VALUE		FTM0_CLOCK/IRDA_FREQUENCY
#define FTM0_C0V_VALUE		FTM0_MOD_VALUE/2

/******************************************************************************
* Global functions
******************************************************************************/
extern void IRDA_Init( void );
extern void IRDA_Test( void );
extern uint8_t IRDA_Receive(uint8_t *u8RxData);
extern void IRDA_Transmit(uint8_t u8TxData);

#endif /* IRDA_H_ */
