/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file rtc.c
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief providing APIs for configuring real-time counter (RTC). 
*
*******************************************************************************/
#include "common.h"
#include "rtc.h"



void RTC_Init( void )
{
    //RTC interrupt interval: 10ms = 16MHz / 100 / 1600
	RTC_SC2_RTCLKS = 0x3;           // clock source: bus clock 16MHz
	RTC_SC2_RTCPS = 0x6;            // prescale is 100
	RTC_MOD	= 1599;		     //modulo value is 1600
	RTC_SC1_RTIE = 1;		     //
}
