/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file uart.h
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief providing APIs for configuring serial communications interface (SCI). 
*
*******************************************************************************/
#ifndef _UART_H_
#define _UART_H_
#include "common.h"

/******************************************************************************
* Includes
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/

/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/

void Init_SCI0(dword busCLKHz);
void Init_SCI1(dword busCLKHz);
void Init_SCI2(dword busCLKHz);
void Init_SCI3(dword busCLKHz);

char TERMIO_GetChar1(void);
char TERMIO_GetChar2(void);
char TERMIO_GetChar3(void);
char TERMIO_GetChar4(void);

void TERMIO_PutChar1(char send);
void TERMIO_PutChar2(char send);
void TERMIO_PutChar3(char send);
void TERMIO_PutChar4(char send);

void wait_sci_tx_empty(void);


#endif /* #ifndef _UART_H_ */
