/******************************************************************************
*
* Copyright (c) 2013 - 2016, Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
* All rights reserved.
*
***************************************************************************//*!
*
* @file w25q32.h
*
* @author nxa07754
*
* @version 0.0.1
*
* @date Oct 20, 2017
*
* @brief SPI Flash. 
*
******************************************************************************/
#ifndef W25Q32_H_
#define W25Q32_H_

#include "common.h"

extern unsigned char flash_read_uniqueid(void);
extern unsigned char flash_read_deviceid(void);
extern unsigned char flash_read_status(void);
extern void flash_write_enable(void);
extern void flash_write_disable(void);
extern uint8_t flash_read_data(uint32_t u32FlashAddr, uint8_t *u8Buffer, uint8_t u32Bytes);
extern uint8_t flash_sector_erase(uint32_t u32FlashAddr);
extern uint8_t flash_write_sector(uint32_t u32FlashAddr, uint8_t *u8Buffer, uint32_t u32Bytes);
extern void FlashW25Q32_Init(void);
extern void FlashW25Q32_Test(void);

#endif /* W25Q32_H_ */
